# Ogre::ConfigDialog Class Reference

Defines the behaviour of an automatic renderer configuration dialog. More...

`#include <OgreConfigDialogImp.h>`

## Detailed Description

Defines the behaviour of an automatic renderer configuration dialog.

Remarks:
  OGRE comes with it's own renderer configuration dialog, which applications can use to easily allow the user to configure the settings appropriate to their machine. This class defines the interface to this standard dialog. Because dialogs are inherently tied to a particular platform's windowing system, there will be a different subclass for each platform.

Author:
  Steven J. Streeting

Definition at line 50 of file GLX/OgreConfigDialogImp.h.

The documentation for this class was generated from the following file:

- GLX/OgreConfigDialogImp.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat Apr 11 13:46:51 2009